# $Revision: 1.34 $, $Date: 2011/02/17 08:26:42 $
# 
# TODO:
# - fix mmx sse stuff
# - http://sourceforge.net/tracker/index.php?func=detail&aid=977600&group_id=19741&atid=119741
# - fix -march forcing in configure.in
#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Fast Assembly Mpeg Encoding library
Summary(pl.UTF-8):	Szybka biblioteka kodująca MPEG
Name:		libfame
Version:	0.9.1
Release:	6
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/fame/%{name}-%{version}.tar.gz
# Source0-md5:	880085761e17a3b4fc41f4f6f198fd3b
Patch0:		%{name}-am18.patch
Patch1:		%{name}-gcc.patch
URL:		http://fame.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAME is a library for fast MPEG encoding.

%description -l pl.UTF-8
FAME to biblioteka do szybkiego kodowania MPEG.

%package devel
Summary:	Includes to develop using FAME
Summary(pl.UTF-8):	Pliki nagłówkowe FAME
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
FAME is a library for fast MPEG encoding. This package contains
include files and other resources you can use to develop FAME
applications.

%description devel -l pl.UTF-8
FAME to biblioteka do szybkiego kodowania MPEG. Ten pakiet zawiera
pliki nagłówkowe i inne potrzebne do tworzenia aplikacji
korzystających z FAME.

%package static
Summary:	FAME static libraries
Summary(pl.UTF-8):	Biblioteki statyczne FAME
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FAME is a library for fast MPEG encoding. This package contains static
version of FAME library.

%description static -l pl.UTF-8
FAME to biblioteka do szybkiego kodowania MPEG. Ten pakiet zawiera
statyczną wersję biblioteki FAME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 

rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CHANGES README TODO
%attr(755,root,root) %{_libdir}/libfame-*.so.*.*.*
%ghost %{_libdir}/libfame-*.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libfame-config
%attr(755,root,root) %{_libdir}/libfame.so
%{_libdir}/libfame.la
%{_includedir}/fame*.h
%{_aclocaldir}/libfame.m4
%{_mandir}/man3/fame_*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfame.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libfame.spec,v $
Revision 1.34  2011/02/17 08:26:42  glen
- ghost soname symlink, verbose files

Revision 1.33  2011/02/14 07:49:12  glen
- release 5

Revision 1.32  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.30  2007/01/04 16:11:59  arekm
- rel 4

Revision 1.29  2006/03/12 10:47:11  pluto
- 64-bit fix: nonportable ptrs calculations in fame_malloc.
- release 3.

Revision 1.28  2005/06/15 21:39:26  witekfl
- added bcond_without static_libs

Revision 1.27  2005/05/05 14:34:34  speedy
- release 2
- new patch: gcc (fix _mmx_one issue using gcc >3.4)

Revision 1.26  2005/05/05 13:16:31  speedy
- cosmetics.

Revision 1.25  2004/07/18 10:45:47  freetz
- TODO added

Revision 1.24  2004/02/12 20:29:02  qboosh
- updated to 0.9.1

Revision 1.23  2003/12/30 03:32:10  qboosh
- added am18 patch, more docs, release 2

Revision 1.22  2003/09/01 16:59:26  qboosh
- fixed descriptions

Revision 1.21  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.20  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/16 12:47:35  qboosh
- removed SONAME symlink

Revision 1.17  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.16  2002/11/27 21:10:40  juandon
- new %%doc

Revision 1.15  2002/11/05 20:20:57  malekith
- spelling fix

Revision 1.14  2002/11/05 20:01:37  aflinta
- updated to version 0.9.0

Revision 1.13  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/09/09 12:06:09  aflinta
- added missing libfame.la file to devel subpackage
- release 2

Revision 1.11  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/08 07:05:09  kloczek
- added full regenerate ac/am/lt files
- remove acinclude.m4 before regeneration because it contain private copy
  sdl.m4 aclocal macros (interesting .. libfame does not use SDL at all :)

Revision 1.8  2002/05/07 21:44:49  marcus
- new version 0.8.10, fixed Source0

Revision 1.7  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/17 02:41:16  kloczek
- updated to 0.8.9 (new stable version),
- switch to DESTDIR style %%install.

Revision 1.5  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/04 14:53:23  qboosh
- pl translations, separated -static, gzip doc; release 2

Revision 1.3  2001/10/31 13:28:14  wiget
added URL for Source0

Revision 1.2  2001/10/31 12:50:40  wiget
only adapterized
